curl --request GET \
--url https://{companyName}.api.joinluminous.com/external/api/v1/price-schedules/{scheduleId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{companyName}.api.joinluminous.com/external/api/v1/price-schedules/{scheduleId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{companyName}.api.joinluminous.com/external/api/v1/price-schedules/{scheduleId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"name": "Holiday Sale 2023",
"description": "Special pricing for holiday season",
"status": "active",
"start_date": "2023-11-01",
"end_date": "2023-12-31",
"priority": 100,
"price_levels": [
{
"id": "789",
"name": "Wholesale"
}
],
"companies": [
{
"id": "123456",
"name": "Acme Corporation"
}
],
"created_at": "2023-03-15T14:30:00Z",
"updated_at": "2023-03-15T14:30:00Z",
"counting_algorithm": "each_item",
"modification_type": "amount_off",
"global": true,
"tiers": [
{
"id": 123,
"created_at": "2023-03-15T14:30:00Z",
"updated_at": "2023-03-15T14:30:00Z",
"status": "active",
"price_schedule_id": "456789",
"quantity": 10,
"discount_amount": 5.99
}
]
}{
"error": "Unauthorized",
"message": "Authentication credentials are missing or invalid",
"status_code": 401
}{
"error": "Forbidden",
"message": "You do not have permission to access this resource",
"status_code": 403
}{
"error": "Not Found",
"message": "The requested resource could not be found",
"status_code": 404
}Price Schedule
Get detailed information for a specific price schedule
Authorizations
Authenticate using a bearer token. To create a token, navigate to /settings/api-tokens and click Create API Token.
Path Parameters
The unique identifier of the price schedule
Response
Price schedule details
Unique identifier for the price schedule
123
Name of the price schedule
"Holiday Sale 2023"
Detailed description of the price schedule
"Special pricing for holiday season"
Status of the price schedule
active, inactive "active"
When the price schedule becomes active
"2023-11-01"
When the price schedule expires
"2023-12-31"
Priority of this price schedule (higher numbers take precedence)
100
List of price levels this schedule applies to
Show child attributes
Show child attributes
List of companies this schedule applies to (if specific to companies)
Show child attributes
Show child attributes
When the price schedule was created
"2023-03-15T14:30:00Z"
When the price schedule was last updated
"2023-03-15T14:30:00Z"
Algorithm used for counting items for price determination
"each_item"
Type of price modification applied
"amount_off"
Whether this price schedule applies globally
true
List of price schedule tiers
Show child attributes
Show child attributes